org.eclipse.oomph.setup.impl

## Class SetupTaskImpl.TypedStringToken

- java.lang.Object
- - org.eclipse.oomph.setup.impl.SetupTaskImpl.TypedStringToken

- Enclosing class:
    SetupTaskImpl

      protected static final class SetupTaskImpl.TypedStringToken
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetupTaskImpl.TypedStringToken(Object type, String value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetupTaskImpl.TypedStringToken

          public SetupTaskImpl.TypedStringToken(Object type,
                                        String value)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html